Loading...
Searching...
No Matches
RDKit::MHFPFingerprints::FNV Namespace Reference

## Functions

uint32_t | hash (const std::string &str, uint32_t hash=seed)
| A simple implementation of the Fowler–Noll–Vo hash function.

## Variables

const uint32_t | prime = 0x01000193
const uint32_t | seed = 0x811C9DC5

## Function Documentation

## hash()

uint32_t RDKit::MHFPFingerprints::FNV::hash | ( | const std::string & | str,
|  | uint32_t | hash = seed )

inline

A simple implementation of the Fowler–Noll–Vo hash function.

Definition at line 32 of file MHFP.h.

References hash(), prime, and seed.

Referenced by hash().

## Variable Documentation

## prime

const uint32_t RDKit::MHFPFingerprints::FNV::prime = 0x01000193

Definition at line 28 of file MHFP.h.

Referenced by hash().

## seed

const uint32_t RDKit::MHFPFingerprints::FNV::seed = 0x811C9DC5

Definition at line 29 of file MHFP.h.

Referenced by hash().